{
  "codeName" : "Usr1121660606",
  "controlType" : "SEARCHFORM",
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHFORMS/Usr1121660606.json",
  "logicName" : "表格插件示例视图_搜索表单",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_searchforms/Usr1121660606",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "n_ibizcustomername_like",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERNAME",
      "codeName" : "IBIZCustomerName"
    }
  }, {
    "id" : "n_ibizordername_like",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "n_orderstate_eq",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "id" : "n_ordertime_gtandeq",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "常规条件",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_IBIZCUSTOMERNAME_LIKE",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto172",
        "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZORDER.N_IBIZCUSTOMERNAME_LIKE]",
        "rTMOSFilePath" : "pslanguageres/Auto172",
        "refFlag" : true
      },
      "caption" : "客户名称(文本包含(%))",
      "codeName" : "n_ibizcustomername_like",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_ibizcustomername_like",
      "name" : "n_ibizcustomername_like",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERNAME",
        "codeName" : "IBIZCustomerName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "editorWidth" : 100.0,
        "name" : "n_ibizcustomername_like"
      },
      "getPSLayoutPos" : {
        "colLG" : 8,
        "colMD" : 8,
        "colSM" : 8,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizcustomername_like",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_IBIZORDERNAME_LIKE",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto338",
        "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZORDER.N_IBIZORDERNAME_LIKE]",
        "rTMOSFilePath" : "pslanguageres/Auto338",
        "refFlag" : true
      },
      "caption" : "订单名称(文本包含(%))",
      "codeName" : "n_ibizordername_like",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
      "name" : "n_ibizordername_like",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "editorWidth" : 100.0,
        "name" : "n_ibizordername_like"
      },
      "getPSLayoutPos" : {
        "colLG" : 8,
        "colMD" : 8,
        "colSM" : 8,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ibizordername_like",
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_ORDERSTATE_EQ",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto754",
        "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZORDER.N_ORDERSTATE_EQ]",
        "rTMOSFilePath" : "pslanguageres/Auto754",
        "refFlag" : true
      },
      "caption" : "订单状态(等于(=))",
      "codeName" : "n_orderstate_eq",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_orderstate_eq",
      "name" : "n_orderstate_eq",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "editorWidth" : 100.0,
        "name" : "n_orderstate_eq",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
        },
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colLG" : 8,
        "colMD" : 8,
        "colSM" : 8,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_orderstate_eq",
      "allowEmpty" : true,
      "needCodeListConfig" : true,
      "showCaption" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.IBIZORDER.N_ORDERTIME_GTANDEQ",
        "lanResType" : "CONTROL",
        "mOSFilePath" : "pslanguageres/Auto784",
        "name" : "控件文本（CONTROL.*）[DEFSFITEM.IBIZORDER.N_ORDERTIME_GTANDEQ]",
        "rTMOSFilePath" : "pslanguageres/Auto784",
        "refFlag" : true
      },
      "caption" : "订单时间(大于等于(>=))",
      "codeName" : "n_ordertime_gtandeq",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "mOSFilePath" : "psdeformdetail_formitems/n_ordertime_gtandeq",
      "name" : "n_ordertime_gtandeq",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD"
        },
        "editorType" : "DATEPICKEREX_NOTIME",
        "editorWidth" : 100.0,
        "name" : "n_ordertime_gtandeq"
      },
      "getPSLayoutPos" : {
        "colLG" : 8,
        "colMD" : 8,
        "colSM" : 8,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formitems/n_ordertime_gtandeq",
      "valueFormat" : "YYYY-MM-DD",
      "allowEmpty" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderSF1GridView/psappviewctrls/searchform2",
  "searchButtonStyle" : "DEFAULT",
  "tabHeaderPos" : "TOP",
  "enableAdvanceSearch" : false,
  "enableAutoSearch" : false,
  "enableFilterSave" : false,
  "noTabHeader" : true,
  "modelid" : "C4B9386C-8CBE-43D9-A609-51FF283A3FE1",
  "modeltype" : "PSDEFORM_SEARCHFORM"
}